Bug 19156 - rpmdb-redhat SRPM is broken (or rpm is)
rpmdb-redhat SRPM is broken (or rpm is)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpmdb-redhat (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-15 18:39 EDT by Alan Cox
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-15 18:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2000-10-15 18:39:21 EDT
With vanilla 7.0 the unpacking of this SRPM fails. Its one of about 6 I've
found so far that dont work. Methinks QA should try a rpm -bp of all the
packages on a release candidate before signing it off

 [root@terrorserver redhat]# rpm -bp --nodeps SPECS/rpmdb-redhat.spec.in 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.39554
+ umask 022
+ cd /usr/src/redhat/BUILD
+ '[' -d '%{rpmdbtree}' ']'
+ echo 'This specfile needs access to %{rpmdbtree}/i386/Redhat/RPMS'
This specfile needs access to %{rpmdbtree}/i386/Redhat/RPMS
+ exit 1
Bad exit status from /var/tmp/rpm-tmp.39554 (%prep)
Comment 1 Jeff Johnson 2000-10-15 18:49:21 EDT
Unlike other packages, the rpmdb package is intimately coupled with a compose of
an entire
distribution. The macro %{rpmdbtree}  macro is passed from the compose command
line, and
permitting a rebuild of rpmdb outside of a compose requires (as yet
non-existent) conventions
for discovering the packages that are part of the compose.
Comment 2 Alan Cox 2000-10-16 04:29:12 EDT
So why isnt this documented. I also cant find compose on the distribution tree.
Shouldnt  we really be shipping all the tools needed to actually rebuild the
distro ?

Note You need to log in before you can comment on or make changes to this bug.